Statut de la file
Guide d'intégration application mobile
Statut de la file
Récupère le statut actuel d'un élément unique de la file de sortie.
Paramètres de requête
| Champ | Type | Description | |
|---|---|---|---|
| id | integer | obligatoire | ID du message en file d'attente. |
Exemple de requête
cURL
curl "https://api.rcszilla.com/?endpoint=queue_status&id=101" \ -H "Authorization: Bearer YOUR-DEVICE-TOKEN"
Réponse
JSON200 OK
{
"success": true,
"id": "101",
"status": "delivered",
"sent_at": "2026-04-29 10:01:45",
"failed_reason": null
}
Status Values
| Status | Description |
|---|---|
| pending | Waiting to be picked up by a device. |
| processing | Claimed by a device, currently being sent. |
| sent | Handed off to the carrier. |
| delivered | Carrier delivery confirmation received. |
| failed | Send failed. Check failed_reason. |
| cancelled | Cancelled by the user via the web panel. |